import { Observable, Subject } from "rxjs";
import { HttpClient } from "@angular/common/http";
export interface IPostSurvey {
    id: any;
    user_id: number;
    data: any;
}
export declare class SurveyService {
    private http;
    onSendSurvey: Subject<IPostSurvey>;
    constructor(http: HttpClient);
    getSurvey(api: string, id: any): Observable<any>;
    sendSurveyToServer(survey: any, user_id?: number): void;
}
